import pygame

from settings import Settings
from spritesheet import SquareSpriteSheet
from drone import Drone, DroneStatus
from route import Route
from stop import Stop

settings = Settings()

screen = pygame.display.set_mode((settings.width, settings.height))
pygame.display.set_caption(settings.caption)

pygame.init()

route = Route("Drone Route.", [])
route.add_stop(Stop("",(100,100)))
route.add_stop(Stop("",(200,200)))

drone = Drone(screen, (100, 100), route)
drone.status = DroneStatus.TAKINGOFF

run = True

while run:
    #update background
    screen.fill(settings.background_color)

    drone.update()

    #event handler
    for event in pygame.event.get():
        if event.type == pygame.MOUSEBUTTONDOWN:
            pass

        if event.type == pygame.QUIT:
            run = False
    
    pygame.display.update()

